mode(-1);
CGLABLIB = 'libCG-LAB/src/libCGLAB.so '
// New functions
CG_LAB_functions_base =[...
'cgal_convex_hull_2',...
'cgal_delaunay_2',...
'cgal_dt2_get_connectivity',...
'cgal_dt2_insert_points',...
'cgal_dt2_remove_points',...
'cgal_dt2_delete',...
'cgal_delaunay_3',...
'cgal_dt3_get_connectivity',...
'cgal_dt3_insert_points',...
'cgal_dt3_remove_points',...
'cgal_dt3_delete',...
'cgal_delaunay_n',...
'cgal_dtn_get_connectivity',...
'cgal_dtn_insert_points',...
'cgal_dtn_delete',...
'cgal_convex_hull_3',...
'cgal_constraind_delaunay_2',...
'cgal_cdt2_get_connectivity',...
'cgal_cdt2_get_coord',...
'cgal_cdt2_insert_points',...
'cgal_cdt2_remove_points',...
'cgal_cdt2_insert_constraints',...
'cgal_cdt2_remove_constraints',...
'cgal_cdt2_delete',...
'cgal_mesh_2',...
'cgal_mesh2_get_connectivity',...
'cgal_mesh2_get_coord',...
'cgal_mesh2_refine',...
'cgal_mesh2_set_seeds',...
'cgal_mesh2_delete'
];
// Generic part to get the absolute contribution path
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1
	l=strindex(nams(k),'loader.sce');
	if l<>[] then
		DIR=part(nams(k),1:l($)-1);
		break
  	end
end

//---------------------------------------------------------------------
// Under Unix and Linux systems
//---------------------------------------------------------------------
if ~MSDOS then
	if part(DIR,1)<>'/' then
		DIR=getcwd()+'/'+DIR;
	end
	//MACROS=DIR+'macros/'

	// Add primitives

	addinter(DIR+'src/'+['CG_LAB_gateway.o' 'CG_LAB.a' CGLABLIB], "CG_LAB_gateway", CG_LAB_functions_base);
// Under Windows systems
//---------------------------------------------------------------------
else
	if part(DIR,2)<>':' then
		DIR=getcwd()+'\'+DIR;
	end
	DIR=strsubst(DIR,'/','\');
	// Add primitives
	addinter(DIR+'src\CG_LAB.dll','CG_LAB_gateway',CG_LAB_functions_base)
end
printf("            _______________________________________________  \n");
printf("			CGLAB-0.9 TOOLBOX										\n");
printf("															  \n");
printf("		   INRIA SOPHIA ANTIPOLIS.								\n");
printf("		   http://www.cgal.org				\n");

printf("            ________________________________________________  \n");

